=== debian/control ===
Source: juce
Section: devel
Priority: optional
Maintainer: Debian Multimedia Maintainers <pkg-multimedia-maintainers@lists.alioth.debian.org>
Uploaders: IOhannes m zmölnig (Debian/GNU) <umlaeute@debian.org>
Build-Depends:
 libasound2-dev,
 libcurl4-gnutls-dev | libcurl-dev,
 libfreetype6-dev,
 libflac-dev,
 libgl1-mesa-dev | libgl-dev,
 libjack-dev,
 libjpeg-dev,
 libpng12-dev,
 libogg-dev,
 libvorbis-dev,
 libx11-dev,
 libxext-dev,
 libxinerama-dev,
 libxrandr-dev,
 libxcomposite-dev,
 libxcursor-dev,
 zlib1g-dev,
 pkg-config,
 help2man,
 patch,
 debhelper (>= 9), cdbs
Build-Depends-Indep: doxygen
Standards-Version: 3.9.7
Homepage: http://juce.org
Vcs-Git: https://anonscm.debian.org/git/pkg-multimedia/juce.git
Vcs-Browser: https://anonscm.debian.org/cgit/pkg-multimedia/juce.git

Package: libjuce0
Architecture: any
Section: libs
Pre-Depends: ${misc:Pre-Depends}
Depends: 
 ${shlibs:Depends}, ${misc:Depends}
Description: Jules' Utility Class Extensions
 JUCE (Jules' Utility Class Extensions) is an all-encompassing C++ framework for
 developing cross-platform software.
 .
 It contains pretty much everything you're likely to need to create most
 applications, and is particularly well-suited for building highly-customised
 GUIs, and for handling graphics and sound.

Package: libjuce-dev
Architecture: any
Section: libdevel
Depends: ${misc:Depends},
 libjuce0 (>= ${source:Version}),
 libjuce0 (<< ${source:Upstream-Version}+1~)
Description: Jules' Utility Class Extensions (headers)
 JUCE (Jules' Utility Class Extensions) is an all-encompassing C++ framework for
 developing cross-platform software.
 .
 It contains pretty much everything you're likely to need to create most
 applications, and is particularly well-suited for building highly-customised
 GUIs, and for handling graphics and sound.
 .
 This package provides the files necessary to compile an application
 using JUCE.

Package: libjuce-doc
Architecture: all
Section: doc
Depends: ${misc:Depends}
Suggests: libjuce-dev
Description: Jules' Utility Class Extensions (documentation)
 JUCE (Jules' Utility Class Extensions) is an all-encompassing C++ framework for
 developing cross-platform software.
 .
 It contains pretty much everything you're likely to need to create most
 applications, and is particularly well-suited for building highly-customised
 GUIs, and for handling graphics and sound.
 .
 This package contains html documentation for the JUCE API.

Package: introjucer
Architecture: any
Depends: ${shlibs:Depends},
 ${misc:Depends}
Recommends: juce-modules-source
Description: JUCE's project management tool
 JUCE (Jules' Utility Class Extensions) is an all-encompassing C++ framework for
 developing cross-platform software.
 The Introjucer is JUCE's project-management tool and secret weapon.
 .
 The Introjucer's Duties:
  - Central management of cross-platform builds
  - JUCE Module Management
  - New Project Creation
  - User-Interface Design Tool
  - Plug-in Projects
  - Miscellaneous Utilities

Package: juce-modules-source
Architecture: all
Depends: ${shlibs:Depends},
 ${misc:Depends}
Description: Jules' Utility Class Extensions (module sources)
 JUCE (Jules' Utility Class Extensions) is an all-encompassing C++ framework for
 developing cross-platform software.
 .
 It contains pretty much everything you're likely to need to create most
 applications, and is particularly well-suited for building highly-customised
 GUIs, and for handling graphics and sound.
 .
 This package provides the sources for the JUCE modules, as used by 'jucer'
 projects. (Introjucer is provided in the 'introjucer' package).
